summaryrefslogtreecommitdiff
path: root/package/base-files/files/init.d/nfs
diff options
context:
space:
mode:
Diffstat (limited to 'package/base-files/files/init.d/nfs')
-rw-r--r--package/base-files/files/init.d/nfs40
1 files changed, 40 insertions, 0 deletions
diff --git a/package/base-files/files/init.d/nfs b/package/base-files/files/init.d/nfs
new file mode 100644
index 000000000..4c3f9ba83
--- /dev/null
+++ b/package/base-files/files/init.d/nfs
@@ -0,0 +1,40 @@
+#!/bin/sh
+#INIT 60
+. /etc/rc.conf
+
+case $1 in
+autostop) ;;
+autostart)
+ test x"${rpcbind:-NO}" = x"NO" && exit 0
+ exec sh $0 start
+ ;;
+start)
+ grep -v "^#" /etc/fstab| grep nfs >/dev/null 2>&1
+ if [ $? -eq 0 ];then
+ grep nfs /proc/filesystems >/dev/null 2>&1
+ if [ $? -eq 0 ];then
+ mkdir -p /var/lib/nfs/rpc_pipefs
+ mount -t rpc_pipefs rpc_pipefs /var/lib/nfs/rpc_pipefs
+ mount -a -t nfs
+ else
+ logger -t nfs "No nfs support in kernel"
+ fi
+ fi
+ ;;
+stop)
+ grep -v "^#" /etc/fstab| grep nfs >/dev/null 2>&1
+ if [ $? -eq 0 ];then
+ umount -a -t nfs
+ umount /var/lib/nfs/rpc_pipefs
+ fi
+ ;;
+restart)
+ sh $0 stop
+ sh $0 start
+ ;;
+*)
+ echo "Usage: $0 {start | stop | restart}"
+ exit 1
+ ;;
+esac
+exit $?